This week's book giveaway is in the Jython/Python forum.
We're giving away four copies of Murach's Python Programming and have Michael Urban and Joel Murach on-line!
See this thread for details.
Win a copy of Murach's Python Programming this week in the Jython/Python forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic

idl2java compilation error  RSS feed

 
triveni sangam
Greenhorn
Posts: 11
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi, I am new programmer to CORBA. I have installer visibroker 3.3 on 98 machine which has win 98 on it.
When i try to complie idl file using idl2java it gives th e following error
Exception in thread main java.lang.classcastexception :com.sun.corba.se.internal.iiop.orb at com.visigenic.vbroker.tools.idl2java.main(idl2java.java:38)

Can anybody help me out.
Thanks,
triveni.
 
Suneel Setlur
Ranch Hand
Posts: 202
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Can you please post the code ?
 
triveni sangam
Greenhorn
Posts: 11
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
the code is
module sysinfo {
interface SysInfo {
string getInfo();
};
};
 
Padmaja Kalimireddy
Greenhorn
Posts: 3
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Set the Class-Path to access the Visibroker classes.
 
sanjays samadder
Greenhorn
Posts: 24
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi I had the same problem .even setting the class path to vbroker/lib/classes or jar does not work .to compile my programm
i used idjl <modulename>.idl at coomand prompt.using jdk
this worked but then i have other problems have a look at the topic here in this topic.
please see if you can help.
thanks
sanjay
 
sanjays samadder
Greenhorn
Posts: 24
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
sorry I used idlj <filename>.idl
 
Mark Savory
Ranch Hand
Posts: 122
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I had the same problem which I solved by using JRE 1.2 rather than JRE 1.2.2.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!